View Issue Details

IDProjectCategoryView StatusLast Update
0012918LazarusIDEpublic2010-07-15 21:07
ReporterLuiz AmericoAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowsOS VersionXP
Product Version0.9.27 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0012918: The context menu of property editors in object inspector does not provide useful actions
DescriptionThe context menu that appears in a property editor, e.g.,a string editor, has meaningless actions like "Copy Components", "Cut Components" and miss appropriate actions like Copy, Paste etc.
TagsNo tags attached.
Fixed in Revision26637
LazTarget0.9.30
Widgetset
Attached Files

Activities

Paul Ishenin

2009-12-26 05:20

manager   ~0033322

This was fixed. Please test and close if ok.

Luiz Americo

2009-12-26 14:44

developer   ~0033325

The context menu is now appropriated for the context but still misses Cut, Copy, Paste text actions.

Many times i've got myself selecting the text in the property editor and then calling the context menu to copy it just to discover (or remember) that the context menu does not provides those functions. Annoying.

In the other side, Delphi 7 also does not provide such functions.

So not sure if should be implemented at all.

samuel herzog

2010-05-15 11:48

developer   ~0037611

shortcuts like CTRL-X,CTRL-V work. I don't think it is needed to place popup-menu function for those actions while inside the Object-Inspector.

I vote for closing this issue or moving it to 1.0.

Paul Ishenin

2010-07-14 10:58

manager   ~0039316

Please test again and close if it works as desired now.

Issue History

Date Modified Username Field Change
2009-01-05 15:44 Luiz Americo New Issue
2009-01-19 14:03 Vincent Snijders LazTarget => post 1.2
2009-01-19 14:03 Vincent Snijders Status new => acknowledged
2009-01-19 14:06 Vincent Snijders LazTarget post 1.2 => 1.0
2009-01-19 14:07 Vincent Snijders Target Version => 1.0.0
2009-12-26 05:20 Paul Ishenin LazTarget 1.0 => 0.9.30
2009-12-26 05:20 Paul Ishenin Status acknowledged => resolved
2009-12-26 05:20 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-26 05:20 Paul Ishenin Resolution open => fixed
2009-12-26 05:20 Paul Ishenin Assigned To => Paul Ishenin
2009-12-26 05:20 Paul Ishenin Note Added: 0033322
2009-12-26 05:20 Paul Ishenin Target Version 1.0.0 => 0.9.30
2009-12-26 14:44 Luiz Americo Status resolved => assigned
2009-12-26 14:44 Luiz Americo Resolution fixed => reopened
2009-12-26 14:44 Luiz Americo Note Added: 0033325
2010-05-15 11:48 samuel herzog Note Added: 0037611
2010-07-14 10:58 Paul Ishenin Fixed in Revision => 26637
2010-07-14 10:58 Paul Ishenin Status assigned => resolved
2010-07-14 10:58 Paul Ishenin Resolution reopened => fixed
2010-07-14 10:58 Paul Ishenin Note Added: 0039316
2010-07-15 21:07 Luiz Americo Status resolved => closed